package de.avatic.lcc.dto.calculation.execution;

import com.fasterxml.jackson.annotation.JsonProperty;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Size;

import java.time.LocalDate;
import java.util.List;

public class CalculationStartRequestDTO {

    @JsonProperty("premise_ids")
    @Size(min = 1)
    List<@NotNull Integer> premiseIds;

    LocalDate date;

    public List<Integer> getPremiseIds() {
        return premiseIds;
    }

    public void setPremiseIds(List<Integer> premiseIds) {
        this.premiseIds = premiseIds;
    }

    public LocalDate getDate() {
        return date;
    }

    public void setDate(LocalDate date) {
        this.date = date;
    }
}
